REFDBJADE(1)

NAME
refdbjade - transform SGML and XML documents containing RefDB bibliographies

SYNOPSIS

refdbjade [-h] [-I name] [-j jade-args] [-p prefix] [-s stylesheet] [-t format] [-v variable[=name]] file

DESCRIPTION

refdbjade uses the stylesheet driver file that you created with runbib(1) and feeds it to Jade/OpenJade to transform your DocBook SGML or XML document to one of the supported output formats.

Note: If you prefer to transform your DocBook XML document with the XSL stylesheets as most people do these days, please use refdbxml(1) instead.

OPTIONS

-h  Prints a command synopsis on the screen and exits

-I name
    Change the value of an entity declaration to include marked sections. Multiple entries are possible. These are passed as -i options to Jade/OpenJade.

-j jade-args
    Set additional command line options for Jade/OpenJade

-p prefix
    This determines a prefix that is added to all filenames that Jade/OpenJade create. This can be useful to avoid filename conflicts if you transform or use several DocBook documents in the same folder.

-s stylesheet
    This selects the stylesheet driver file. This file is generated by refdbib(1) (which in turn is called by runbib(1)) and contains additional formatting information.

-t format
    Select an output format with this option. Possible values are html, rtf, dvi, pdf, ps, tex, to generate HTML, RTF, DVI, PDF, PostScript, or JadeTeX output, respectively. Use tps and tpdf to create PostScript or PDF output, respectively, from the intermediate JadeTeX output generated by any of the switches dvi, pdf, ps, or tex. This is useful if you have to edit the intermediate JadeTeX file, e.g. to manually shift pagebreaks. If your DSSSL engine of choice is OpenJade, you can use htmlr to generate raw HTML output (the same as HTML but without these funny linefeeds in the end tags).

-v variable[=value]
    Change the value of a variable in the stylesheet. Multiple entries are possible. These are passed as such to Jade/OpenJade. The syntax "variable" causes "variable" to be set to "#t". The extended syntax "variable[=value]" sets the variable to the given value.

file
    The names of one or more SGML or XML files. Each document will be processed separately.

CONFIGURATION

Instead of using the command-line switches, refdbjade can also be configured by means of the refdbjaderc configuration file. As with all refdb configuration files, you may maintain a global copy in /usr/local/etc/refdb/ and one copy per user in $HOME.

Table 1. refdbjaderc

Variable | Default | Comment
jade_includearg | none | Change the value of an entity declaration to include marked sections. Multiple entries are possible. These are passed as -i options to Jade/OpenJade.
jade_variable | none | Change the value of a variable in the stylesheet. Multiple entries are possible. These are passed as -v options to Jade/OpenJade. The syntax "variable" causes "variable" to be set to "#t". The extended syntax "variable[=value]" sets the variable to the given value.
jadeargs | none | Set additional command line options for Jade/OpenJade. Use e.g. "-E 0" to disable the maximum error limit
outformat | tex | Set the default output format. Supported values are tex, html, rtf, dvi, pdf, ps, tps, and tpdf

ENVIRONMENT

SGML_CATALOG_FILES

This environment variable is consulted to resolve public identifiers in the SGML source documents. It is advisable to keep local copies of the DTD files and add OVERRIDE YES to the top of your catalog files. This ensures that the local copies are used and avoids unnecessary network traffic.

EXAMPLE

Here we'll use the files generated in the last example above (see runbib) and generate a nicely formatted PDF file:

          ~$
          refdbjade -d J.Biol.Chem.dsl -t pdf mypaper.sgml

To obtain HTML output, you just change the output type switch:

          ~$
          refdbjade -d J.Biol.Chem.dsl -t html mypaper.sgml

SEE ALSO

RefDB (7), refdbib (1), runbib (1), refdbxml (1).

RefDB manual (local copy) <prefix>/share/doc/refdb-<version>/refdb-manual/index.html

RefDB manual (web) <[1]http://refdb.sourceforge.net/manual/index.html>

RefDB on the web <[2]http://refdb.sourceforge.net/>

AUTHOR

refdbjade was written by Markus Hoenicka <markus@mhoenicka.de>.

REFERENCES

1. http://refdb.sourceforge.net/manual/index.html
    http://refdb.sourceforge.net/manual/index.html

2. http://refdb.sourceforge.net/
    http://refdb.sourceforge.net/